> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get users

> This endpoint allows you to get users



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/users
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/users:
    get:
      tags:
        - Identity
      summary: Get users
      description: This endpoint allows you to get users
      parameters:
        - name: websiteId
          in: query
          description: The ID of the website
          schema:
            type: string
            format: uuid
            title: Website ID
            example: 123e4567-e89b-12d3-a456-426614174000
        - name: organizationId
          in: query
          description: The ID of the organization
          schema:
            type: string
            format: uuid
            title: Organization ID
            example: 123e4567-e89b-12d3-a456-426614174001
        - name: walletAddress
          in: query
          description: The wallet address of the user
          schema:
            type: string
            title: Wallet Address
            example: '0x1234567890abcdef1234567890abcdef12345678'
        - name: startingAfter
          in: query
          description: Pagination cursor to start after a specific user ID
          schema:
            type: string
            format: uuid
            title: Starting After
            example: 123e4567-e89b-12d3-a456-426614174020
        - name: limit
          in: query
          description: Number of users to return
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            title: Limit
            example: 10
        - name: twitterUser
          in: query
          description: Twitter username of the user
          schema:
            type: string
            title: Twitter User
            example: elonmusk
        - name: discordUser
          in: query
          description: Discord username of the user
          schema:
            type: string
            title: Discord User
            example: elonmusk
        - name: steamUsername
          in: query
          description: Steam username of the user
          schema:
            type: string
            title: Steam Username
            example: elonmusk
        - name: steamUserId
          in: query
          description: Steam ID of the user
          schema:
            type: string
            title: Steam User ID
            example: '1234567890'
        - name: telegramUsername
          in: query
          description: Telegram username of the user
          schema:
            type: string
            title: Telegram Username
            example: elonmusk
        - name: telegramUserId
          in: query
          description: Telegram ID of the user
          schema:
            type: string
            title: Telegram User ID
            example: '1234567890'
        - name: tiktokUser
          in: query
          description: TikTok username of the user
          schema:
            type: string
            title: TikTok User
            example: elonmusk
        - name: redditUser
          in: query
          description: Reddit username of the user
          schema:
            type: string
            title: Reddit User
            example: elonmusk
        - name: redditUserId
          in: query
          description: Reddit ID of the user
          schema:
            type: string
            title: Reddit User ID
            example: '1234567890'
        - name: emailAddress
          in: query
          description: Email address of the user
          schema:
            type: string
            format: email
            title: Email Address
            example: elonmusk@example.com
        - name: includeDelegation
          in: query
          description: Whether to include delegations in the response
          schema:
            default: false
            type: boolean
            title: Include Delegation
            example: true
        - name: userGroupId
          in: query
          description: The ID of the user group
          schema:
            type: string
            format: uuid
            title: User Group ID
            example: 123e4567-e89b-12d3-a456-426614174002
        - name: userGroupExternalIdentifier
          in: query
          description: External identifier for the user group controlled by you
          schema:
            type: string
            title: User Group External Identifier
        - name: externalIdentifier
          in: query
          description: External identifier for the user
          schema:
            type: string
            title: External Identifier
            example: '123e4567'
        - name: address
          in: query
          description: The address of the user
          schema:
            type: string
            title: Address
            example: '0x1234567890abcdef1234567890abcdef12345678'
        - name: userId
          in: query
          description: The ID of the user
          schema:
            oneOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
                minItems: 1
            title: User ID
            example: 123e4567-e89b-12d3-a456-426614174001
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        temporaryLoyaltyUser:
                          type: boolean
                          nullable: true
                        isSnagSuperAdmin:
                          type: boolean
                        walletAddress:
                          type: string
                        privyUserId:
                          type: string
                          format: uuid
                          nullable: true
                        notifications:
                          type: boolean
                          nullable: true
                          title: Notifications
                          description: >-
                            Whether the user has notifications enabled, only
                            returned if includeNotifications is true
                          example: true
                        delegationsFrom:
                          type: array
                          items:
                            type: object
                            properties:
                              walletAddress:
                                type: string
                            required:
                              - walletAddress
                          nullable: true
                          title: Delegations From
                          description: >-
                            The delegations from the user, only returned if
                            includeDelegation is true
                        userMetadata:
                          type: array
                          items:
                            type: object
                            properties:
                              emailAddress:
                                type: string
                                nullable: true
                                title: Email Address
                                description: >-
                                  The email address of the user, only returned
                                  if the user is querying their own user
                              emailVerifiedAt:
                                type: string
                                nullable: true
                              discordUser:
                                type: string
                                nullable: true
                              discordVerifiedAt:
                                type: string
                                nullable: true
                              twitterUser:
                                type: string
                                nullable: true
                              twitterVerifiedAt:
                                type: string
                                nullable: true
                              instagramUser:
                                type: string
                                nullable: true
                              instagramVerifiedAt:
                                type: string
                                nullable: true
                              logoUrl:
                                type: string
                                nullable: true
                              displayName:
                                type: string
                                nullable: true
                              location:
                                type: string
                                nullable: true
                              bio:
                                type: string
                                nullable: true
                              portfolioUrl:
                                type: string
                                nullable: true
                              meta:
                                type: string
                                nullable: true
                              userGroupId:
                                type: string
                                nullable: true
                              walletGroupIdentifier:
                                type: string
                                nullable: true
                              twitterUserFollowersCount:
                                type: number
                                nullable: true
                              telegramUserId:
                                type: string
                                nullable: true
                              telegramVerifiedAt:
                                type: string
                                nullable: true
                              telegramUsername:
                                type: string
                                nullable: true
                              isBlocked:
                                type: boolean
                                nullable: true
                              steamUserId:
                                type: string
                                nullable: true
                              steamUsername:
                                type: string
                                nullable: true
                              externalLoyaltyScore:
                                type: string
                                nullable: true
                              epicUsername:
                                type: string
                                nullable: true
                              epicAccountIdentifier:
                                type: string
                                nullable: true
                              googleUserId:
                                type: string
                                nullable: true
                              googleUser:
                                type: string
                                nullable: true
                              YTChannelId:
                                type: string
                                nullable: true
                              tiktokUser:
                                type: string
                                nullable: true
                              tiktokUserId:
                                type: string
                                nullable: true
                              redditUserId:
                                type: string
                                nullable: true
                              redditUser:
                                type: string
                                nullable: true
                              githubUser:
                                type: string
                                nullable: true
                              githubUserId:
                                type: string
                                nullable: true
                              createdAt:
                                type: string
                                nullable: true
                              updatedAt:
                                type: string
                                nullable: true
                              verifiedLocallyAt:
                                type: string
                                nullable: true
                          nullable: true
                        websiteUserAttributes:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              label:
                                type: string
                              websiteUserAttributeValues:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    userId:
                                      type: string
                                      format: uuid
                                    value:
                                      type: string
                                    websiteUserAttributeId:
                                      type: string
                                      format: uuid
                                  required:
                                    - id
                                    - userId
                                    - value
                                    - websiteUserAttributeId
                            required:
                              - id
                              - label
                              - websiteUserAttributeValues
                          nullable: true
                        referrers:
                          type: array
                          items:
                            type: object
                            properties:
                              eligible:
                                type: boolean
                              user:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    format: uuid
                                  walletAddress:
                                    type: string
                                required:
                                  - id
                                  - walletAddress
                              referralCode:
                                type: object
                                properties:
                                  user:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        format: uuid
                                      walletAddress:
                                        type: string
                                    required:
                                      - id
                                      - walletAddress
                                    title: User
                                    description: Use who referred the user
                                required:
                                  - user
                            required:
                              - eligible
                              - user
                              - referralCode
                          nullable: true
                      required:
                        - id
                        - isSnagSuperAdmin
                        - walletAddress
                      title: User Response
                      description: Schema for a user response
                    title: Users Response
                    description: Schema for users response
                  hasNextPage:
                    type: boolean
                    title: Has Next Page
                    description: Indicates if there is a next page of results
                required:
                  - data
                  - hasNextPage
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````